Bug 108700 - Fedora Matrox dual head / xinerama crashes OpenOffice.org
Fedora Matrox dual head / xinerama crashes OpenOffice.org
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 05:55 EST by Dr. Peter Boy
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 14:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace output from gdb (32.68 KB, text/plain)
2003-11-01 12:30 EST, Denice
no flags Details
report that would have gone to Sun (32.45 KB, text/plain)
2003-11-01 12:32 EST, Denice
no flags Details

  None (edit)
Description Dr. Peter Boy 2003-10-31 05:55:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1) Gecko/20031027

Description of problem:
Each time when I start OpenOffice and open a document (some documents,
unfortunately not every, see attaches file as an example), OpenOffice crashes.
The window freezes and I have to use kill to stop it.

Unfortunately, there is no error message.

If I disable xinerama and and use only 1 monitor, I can work with the documents
in question. It doesn't matter wether I use the smp or the uni kernel.

Must be related to Fedora specific issues. Installing SuSE or Mandrake on the
very same hardware does work.

Hardware: IBM IntelliStation dual P III, Matrox G550 DVI Dual Head (analog),
Xinerama mode

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-4

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora test3 / release 1 on the described Hardware
2. Start OpenOffice and try to open the attached document.
3.
    

Actual Results:  OpenOffice crashes, program window freezes

Expected Results:  Should be able to work with the document

Additional info:
Comment 1 Denice 2003-10-31 06:35:02 EST
I have this problem too, but it also exists at RH 9, and with both
openoffice-1.0.2 and openoffice.org-1.1.0-2

Some documents just freeze openoffice.  Since I always have extra systems in my
office I tend to log on elsewhere (non-xinerama) to access the document.  Its
one of those things that I have never got around to really investigating -bad me!

I wonder if there are any other strange hacks in OOo that cause problems, such
as described in bug 89495:
 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=89495

My video card:
$ /sbin/lspci|grep -i vga
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 85)

Running strace on it I see lots of failed reads:

gettimeofday({1067599974, 186711}, NULL) = 0
writev(6, [{";\3\5\0003\0\340\2\0\0\0\0\35\0l\0\27\6\25\0048\0\4\000"..., 2044},
{"-\1o\4\362\4\20\0", 8}], 2) = 2052
mmap2(NULL, 65536, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x486fb000
mmap2(NULL, 65536, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x4870b000
write(6, "8\3\4\0003\0\340\2\4\0\0\0\0\0\0\0F\6\7\0!\0\340\0023\0"..., 2048) = 2048
write(6, "B\3\17\0!\0\340\2\227\0\340\2H\0\25\4!\6\25\4H\0&\4!\6"..., 776) = 776
read(6, 0xbfffd0d0, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(7, [6], NULL, NULL, NULL)        = 1 (in [6])
read(6, "\1\341\247 @\0\0\0\376\377\1\0\0\0\376\377\372\377\0\000"..., 32) = 32
read(6, "\5\0\0\0\20\0\0\0\0\0\377\0\0\0\33\0\0\0\"\0\t\0\3\0\0"..., 40) = 40
read(6, "\263\0\0\0\201\1\0\0@\0\0\0\237\1\0\0\264\0\0\0y\1\0\0"..., 216) = 216
shmat(778174468, 0, SHM_RDONLY)         = 0x4871b000
write(6, ";\3\5\0007\0\340\2\0\0\0\0H\0\200\0\332\5\21\0008\0\4\000"..., 180) = 180
read(6, 0xbfffd0d0, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(7, [6], NULL, NULL, NULL)        = 1 (in [6])
read(6, "\n\3\252 !\0\340\2\0\277\207\10\1\0\0\0 \0\0\0 \0\0\0("..., 32) = 32
read(6, 0xbfffd0d0, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
Comment 2 Dan Williams 2003-10-31 10:12:30 EST
OOo in 1.1 uses Xinerama to discover what screens you've got and their
dimensions.  This solves the bug of Impress slide shows being spanned
over _all_ monitors, so if you had a dual-head or multi-card system
the show would be half on one and half on the other.  Ugh.  I'm trying
to see if anyone here has a G550 to test with.

If at all possible, could you guys download the (520MB)
openoffice.org-debuginfo-1.1.0-4.rpm package and install that?  It
should allow you to get a stack backtrace.  Once you've got it
installed, it will probably attempt to send crash info back to Sun but
if you could get the details on the crashlog and post the backtrace
here that would be great.
Comment 3 Dan Williams 2003-10-31 10:34:44 EST
I ahve heard upstream reports that Matrox users have issues with Xaa
and XFree86 < 4.3...  But Fedora Core should be using XFree86.
Comment 4 Dan Williams 2003-10-31 11:02:25 EST
Xfree86 4.3.0 I mean...
Comment 5 Dan Williams 2003-10-31 11:03:01 EST
Another thing to check might be if you have a hardcoded value for your
VideoRam parameter in your XFree86Config file, that's known to cause
issues at times.
Comment 6 Denice 2003-10-31 11:10:38 EST
I have an assortment of matrox dual-head cards; I'll give it a go tomorrow on my
test machine.  Our local mirror has a copy of the rpm :-)

I do not have any hardcoded videoram setting in my conf file.
Comment 7 Denice 2003-11-01 12:26:24 EST
okay, I stuffed a matrox g450 into my test system and used the same X
config file that I am using at RH 9.  I then ran ooffice on a file
that typically freezes the application.  Just to check that I'm doing
the right thing - I attached gdb to the hung process and got a couple
of backtraces:

$ gdb $1 $2 >>$outf 2>&1 <<FINITO
set width 0
set height 0
printf "\n"
printf "get thread info\n"
info threads
printf "\n"
printf "get backtrace\n"
backtrace
printf "\n"
printf "get backtrace on all threads\n"
thread apply all backtrace
printf "\n"
quit
y
FINITO

I'll attach the output.  
Comment 8 Denice 2003-11-01 12:30:49 EST
Created attachment 95648 [details]
backtrace output from gdb
Comment 9 Denice 2003-11-01 12:32:58 EST
Created attachment 95649 [details]
report that would have gone to Sun
Comment 11 Denice 2004-10-28 14:40:11 EDT
I've changed jobs recently, and these days I'm sitting in front of a
FC 2 installation, again with a matrox-xinerama config.

$ rpm -qa |grep -i office
openoffice.org-libs-1.1.2-10.fc2
openoffice.org-i18n-1.1.2-10.fc2
openoffice.org-1.1.2-10.fc2

My matrox card this time around is a 550:
$ /sbin/lspci|grep -i vga
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G550 AGP
(rev 01)

I have no problems with this version of openoffice; thus, at least for
me, this is no longer a problem.
Comment 12 Caolan McNamara 2004-10-28 14:44:05 EDT
That's what I like to hear. I'll call this fixed in currentrelease as
its the same openoffice.org version on FC2 and FC3. If the problem
reappears for anyone we can reopen it.

Note You need to log in before you can comment on or make changes to this bug.